/* 
*{
  font-size: 50px;
}

*/

/* Display property */

/* inline */
.div-1 {
  background-color: green;
  display: inline;
}

/* none */
#span-1 {
  background-color: purple;
  display: none;
  width: 200px;
  height: 200px;
}

/* block */
#span-2 {
  background-color: red;
  display: block;
}

/* none */
#div-2 {
  display: none;
}

#img {
  width: 250px;
  height: 250px;
}

#p-1 {
  background-color: #87cefa;
}

#p-2 {
  background-color: rgb(255, 105, 180);
  width: 60%;
}

#p-3 {
  width: 40%;
  background-color: yellow;
}

.sample {
  display: inline-block;
  width: 30%;
  background-color: aquamarine;
  border: 1px solid black;
  text-align: center;
}

/* Float Property */
.img-float {
  width: 50px;
  height: 50px;

  float: right;
}

/* CSS Units */
.box {
  background-color: red;
  border: 1px solid black;
  margin: 5px;
}

.fifty-percent {
  width: 50%;
}
.one-hundred-pixels {
  width: 1000px;
}

.fifty-vw {
  width: 50vw;
}

.fifty-vh {
  height: 50vh;
}

.parent {
  width: 200px;
  border: 1px solid black;
}

.one-rem {
  font-size: 1rem;
}

.two-rem {
  font-size: 2rem;
}

.one-em {
  font-size: 1em;
}

.two-em {
  font-size: 2em;
}

.background {
  min-height: 100vh;
  background-color: gray;
  background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
  /* background: ; */
}

.bg-title {
  color: white;
  text-align: center;
  font-size: 5em;
  margin: 0;
  line-height: 30rem;
}

.container-bg {
  min-height: 100vh;
  background-color: rgba(0, 0, 0, 0.2);
}

/* CSS Positioning */

.parent-element {
  background-color: skyblue;
  padding: 10px;
  min-height: 150vh;
}

.child-one {
  background-color: gray;
  padding: 10px;
}

.child-two {
  background-color: yellow;
  padding: 10px;
  /* static: default position, it will follow yung ating document flow*/

  /* position: static; */
  /* position: relative; */
  /* position: absolute; */
  /* position: fixed; */
  position: sticky;
  top: 50px;
}

.child-three {
  background-color: gray;
  padding: 10px;
}

/* Z-index property */
.container {
  position: relative;
}

.black-box {
  position: relative;
  border: 2px solid black;
  height: 100px;
  width: 100px;
  z-index: 3;
}

.gray-box {
  position: absolute;
  background-color: lightgrey;
  height: 60px;
  width: 70%;
  left: 50px;
  top: 50px;
  z-index: 2;
}

.green-box {
  position: absolute;
  background-color: lightgreen;
  width: 35%;
  height: 100px;
  left: 270px;
  top: -15px;
  z-index: 1;
}
